﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_ACCOUNTGROUPRECORD' AND KSQL_COL_NAME ='FDESTBOOKDATE')
 ALTER TABLE T_CAL_ACCOUNTGROUPRECORD ADD (FDESTBOOKDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_ACCOUNTGROUPRECORD' AND KSQL_COL_NAME ='FGROUPVALUE')
 ALTER TABLE T_CAL_ACCOUNTGROUPRECORD ADD (FGROUPVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_ATGROUPRECORD_ENTRY' AND KSQL_COL_NAME ='FBIZBILLID')
 ALTER TABLE T_CAL_ATGROUPRECORD_ENTRY ADD (FBIZBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_ATGROUPRECORD_ENTRY' AND KSQL_COL_NAME ='FCALBILLID')
 ALTER TABLE T_CAL_ATGROUPRECORD_ENTRY ADD (FCALBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_ATGROUPRECORD_ENTRY' AND KSQL_COL_NAME ='FBILLNO')
 ALTER TABLE T_CAL_ATGROUPRECORD_ENTRY ADD (FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_ATGROUPRECORD_ENTRY' AND KSQL_COL_NAME ='FBOOKDATE')
 ALTER TABLE T_CAL_ATGROUPRECORD_ENTRY ADD (FBOOKDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_ATGROUPRECORD_ENTRY' AND KSQL_COL_NAME ='FOWNERID')
 ALTER TABLE T_CAL_ATGROUPRECORD_ENTRY ADD (FOWNERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_ATGROUPRECORD_ENTRY' AND KSQL_COL_NAME ='FBASEQTY')
 ALTER TABLE T_CAL_ATGROUPRECORD_ENTRY ADD (FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_ATGROUPRECORD_ENTRY' AND KSQL_COL_NAME ='FISLASTENTRY')
 ALTER TABLE T_CAL_ATGROUPRECORD_ENTRY ADD (FISLASTENTRY CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_SORTLOOP')
 CREATE TABLE T_CAL_SORTLOOP (
FID BIGINT DEFAULT 0 NOT NULL,
FSORTLISTID BIGINT DEFAULT 0 NOT NULL,
FLOOPPATH NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOOPPATH_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTDOMAIN')
 CREATE TABLE T_CAL_COSTDOMAIN (
FID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FCALRANGEID BIGINT DEFAULT 0 NOT NULL,
FDIVIDEBASIS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCALDIMENSION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FACCOUNTTYPE VARCHAR(1) DEFAULT ' ' NOT NULL,
FDIVIDEBASISVAL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCALDIMENSIONVAL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDIMENSIONKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FCALORGID BIGINT DEFAULT 0 NOT NULL,
FSTORAGEUNITID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FASSIT BIGINT DEFAULT 0 NOT NULL,
FLOT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FMVERSIONID BIGINT DEFAULT 0 NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTDOMAINGROUP')
 CREATE TABLE T_CAL_COSTDOMAINGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FSDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FTDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FSDIMENSIONKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FTDIMENSIONKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIMENSIONKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOUNT BIGINT DEFAULT 0 NOT NULL,
FSORTID BIGINT DEFAULT 0 NOT NULL,
FSMATERIALID BIGINT DEFAULT 0 NOT NULL,
FTMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSPERIODID BIGINT DEFAULT 0 NOT NULL,
FTPERIODID BIGINT DEFAULT 0 NOT NULL,
FISSAMEMATERIAL CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_SORTRESULT' AND KSQL_COL_NAME ='FISLOOP')
 ALTER TABLE T_CAL_SORTRESULT ADD (FISLOOP CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_SORTRESULT' AND KSQL_COL_NAME ='FSORTLISTID')
 ALTER TABLE T_CAL_SORTRESULT ADD (FSORTLISTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_SORTRESULTENTRY' AND KSQL_COL_NAME ='FDIMENSION')
 ALTER TABLE T_CAL_SORTRESULTENTRY ADD (FDIMENSION BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
