﻿-- 出入库关系表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_INOUTRELATION') 
CREATE TABLE T_CAL_INOUTRELATION (
	FID BIGINT DEFAULT 0 NOT NULL,
	FINBILLNUNBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
	FINBILLID BIGINT DEFAULT 0 NOT NULL,
	FINBILLDATE DATETIME,
	FINBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
	FINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FMATERIALID BIGINT DEFAULT 0 NOT NULL,
	FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
	FSUMOUTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_INOUTRELATIONENTRY') 
CREATE TABLE T_CAL_INOUTRELATIONENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INT DEFAULT 0 NOT NULL,
	FOUTBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
	FOUTBILLID BIGINT DEFAULT 0 NOT NULL,
	FOUTBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
	FOUTBILLDATE DATETIME,
	FOUTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);