﻿-- 缓冲池添加核算后台日志表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DBLOG')
CREATE TABLE T_CAL_DBLOG (
	FID BIGINT DEFAULT 0 NOT NULL,
    FSTARTTIME DATETIME,
    FENDTIME DATETIME,
    FCREATER BIGINT DEFAULT 0 NOT NULL,
    FTRACEID NVARCHAR(80) DEFAULT ' ' NOT NULL,
    FLEVEL CHAR(1) DEFAULT 'A' NOT NULL,
    FTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
    FTIME BIGINT DEFAULT 0 NOT NULL,
    FRUNAT NVARCHAR(80) DEFAULT ' ' NOT NULL,
    FPARAM NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FPARAM_TAG NCLOB,
    FLOG NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FLOG_TAG NCLOB
);
