﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_BALANCERECORD') 
 CREATE TABLE T_CAL_BALANCERECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSOURCE CHAR(1) DEFAULT 'A' NOT NULL,
FUPDATETIME DATETIME,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FBILLENTITYID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FLOT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
FASSISTID BIGINT DEFAULT 0 NOT NULL,
FINOROUT NVARCHAR(80) DEFAULT 'IN' NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FMVERSIONID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_BALANCERECORDENTRY') 
 CREATE TABLE T_CAL_BALANCERECORDENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FCOSTSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
