﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_constraint.sql **/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_STOPSYNC_CMA') CREATE INDEX IDX_CAL_STOPSYNC_CMA ON T_CAL_STOPSYNCSET ( FCALORGID ,FMATERIALID ,FACCOUNTTYPE );

 EXEC P_ALTERPK 'PK_T_CAL_CHECK_RESULTDETAIL', 'T_CAL_CHECK_RESULTDETAIL', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CHRESULTDE_ENTRYID') CREATE INDEX IDX_CAL_CHRESULTDE_ENTRYID ON T_CAL_CHECK_RESULTDETAIL ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_CAL_CHECK_RESULTENTRY', 'T_CAL_CHECK_RESULTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CHRESULTENTRY_FID') CREATE INDEX IDX_CAL_CHRESULTENTRY_FID ON T_CAL_CHECK_RESULTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CAL_DATACHECK_ITEM', 'T_CAL_DATACHECK_ITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CHECKITEM_NO') CREATE INDEX IDX_CAL_CHECKITEM_NO ON T_CAL_DATACHECK_ITEM ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_CAL_DATACHECK_ITEM_L', 'T_CAL_DATACHECK_ITEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CHITEM_L_FID') CREATE INDEX IDX_CAL_CHITEM_L_FID ON T_CAL_DATACHECK_ITEM_L ( FID );


 EXEC P_ALTERPK 'PK_T_CAL_DATACHECK_RESULT', 'T_CAL_DATACHECK_RESULT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CHRESULT_CHECKTIME') CREATE INDEX IDX_CAL_CHRESULT_CHECKTIME ON T_CAL_DATACHECK_RESULT ( FCHECKTIME );


 EXEC P_ALTERPK 'PK_T_CAL_DATACHECK_TASK', 'T_CAL_DATACHECK_TASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CHTASK_NO') CREATE INDEX IDX_CAL_CHTASK_NO ON T_CAL_DATACHECK_TASK ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_CAL_DATACHECK_TASK_L', 'T_CAL_DATACHECK_TASK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CHTASK_L_FID') CREATE INDEX IDX_CAL_CHTASK_L_FID ON T_CAL_DATACHECK_TASK_L ( FID );


 EXEC P_ALTERPK 'PK_T_CAL_DATACHECK_TASKENTRY', 'T_CAL_DATACHECK_TASKENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CHTASKENTRY_FID') CREATE INDEX IDX_CAL_CHTASKENTRY_FID ON T_CAL_DATACHECK_TASKENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CAL_DATACHECK_PLAN', 'T_CAL_DATACHECK_PLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CHPLAN_NO') CREATE INDEX IDX_CAL_CHPLAN_NO ON T_CAL_DATACHECK_PLAN ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_CAL_DATACHECK_PLAN_D', 'T_CAL_DATACHECK_PLAN_D', 'FID', '1';



 EXEC P_ALTERPK 'PK_T_CAL_CPLAN_CALORG', 'T_CAL_CPLAN_CALORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CPLAN_CALORG_FID') CREATE INDEX IDX_CAL_CPLAN_CALORG_FID ON T_CAL_CPLAN_CALORG ( FID );


 EXEC P_ALTERPK 'PK_T_CAL_CPLAN_COSTACCOUNT', 'T_CAL_CPLAN_COSTACCOUNT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CPLAN_CACT_FID') CREATE INDEX IDX_CAL_CPLAN_CACT_FID ON T_CAL_CPLAN_COSTACCOUNT ( FID );


 EXEC P_ALTERPK 'PK_T_CAL_CPLAN_INVSTATUS', 'T_CAL_CPLAN_INVSTATUS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CPLAN_INVSTATUS_FID') CREATE INDEX IDX_CAL_CPLAN_INVSTATUS_FID ON T_CAL_CPLAN_INVSTATUS ( FID );


 EXEC P_ALTERPK 'PK_T_CAL_CPLAN_INVTYPE', 'T_CAL_CPLAN_INVTYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CPLAN_INVTYPE_FID') CREATE INDEX IDX_CAL_CPLAN_INVTYPE_FID ON T_CAL_CPLAN_INVTYPE ( FID );


 EXEC P_ALTERPK 'PK_T_CAL_CPLAN_LOCATION', 'T_CAL_CPLAN_LOCATION', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CPLAN_LOCATION_FID') CREATE INDEX IDX_CAL_CPLAN_LOCATION_FID ON T_CAL_CPLAN_LOCATION ( FID );


 EXEC P_ALTERPK 'PK_T_CAL_CPLAN_MATERIAL', 'T_CAL_CPLAN_MATERIAL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CPLAN_MATERIAL_FID') CREATE INDEX IDX_CAL_CPLAN_MATERIAL_FID ON T_CAL_CPLAN_MATERIAL ( FID );


 EXEC P_ALTERPK 'PK_T_CAL_CPLAN_MVERSION', 'T_CAL_CPLAN_MVERSION', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CPLAN_MVERSION_FID') CREATE INDEX IDX_CAL_CPLAN_MVERSION_FID ON T_CAL_CPLAN_MVERSION ( FID );


 EXEC P_ALTERPK 'PK_T_CAL_CPLAN_PROJECT', 'T_CAL_CPLAN_PROJECT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CPLAN_PROJECT_FID') CREATE INDEX IDX_CAL_CPLAN_PROJECT_FID ON T_CAL_CPLAN_PROJECT ( FID );


 EXEC P_ALTERPK 'PK_T_CAL_CPLAN_STORAGEORG', 'T_CAL_CPLAN_STORAGEORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CPLAN_SORG_FID') CREATE INDEX IDX_CAL_CPLAN_SORG_FID ON T_CAL_CPLAN_STORAGEORG ( FID );


 EXEC P_ALTERPK 'PK_T_CAL_CPLAN_WAREHOUSE', 'T_CAL_CPLAN_WAREHOUSE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CPLAN_WHOUSE_FID') CREATE INDEX IDX_CAL_CPLAN_WHOUSE_FID ON T_CAL_CPLAN_WAREHOUSE ( FID );


 EXEC P_ALTERPK 'PK_T_CAL_DATACHECK_PLAN_L', 'T_CAL_DATACHECK_PLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CHPLAN_L_FID') CREATE INDEX IDX_CAL_CHPLAN_L_FID ON T_CAL_DATACHECK_PLAN_L ( FID );


 EXEC P_ALTERPK 'PK_T_CAL_DATACHECK_PLAN_M', 'T_CAL_DATACHECK_PLAN_M', 'FID', '1';



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_constraint.sql **/
