﻿ -- 初始核算单多语言表T_CAL_INITBILL_L
 EXEC P_ALTERPK 'PK_CAL_INITBILL_L', 'T_CAL_INITBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_INITBILL_L') CREATE INDEX IDX_CAL_INITBILL_L ON T_CAL_INITBILL_L ( FID ,FLOCALEID );

 -- 初始核算单分录多语言表T_CAL_INITBILLENTRY_L
 EXEC P_ALTERPK 'PK_CAL_INITBILLENTRY_L', 'T_CAL_INITBILLENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_INITBILLENTRY_L') CREATE INDEX IDX_CAL_INITBILLENTRY_L ON T_CAL_INITBILLENTRY_L ( FENTRYID ,FLOCALEID );
 
 -- 初始核算单结转明细表T_CAL_INITBILL_DETAIL
 EXEC P_ALTERPK 'PK_T_CAL_INITBILL_DETAIL', 'T_CAL_INITBILL_DETAIL', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_INITDETAIL_FENTRYID') CREATE INDEX IDX_CAL_INITDETAIL_FENTRYID ON T_CAL_INITBILL_DETAIL ( FENTRYID );

 -- 初始核算单分录表T_CAL_INITBILLENTRY
 EXEC P_ALTERPK 'PK_CAL_INITBILLENTRY', 'T_CAL_INITBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_INITENTRY_FMATID') CREATE INDEX IDX_CAL_INITENTRY_FMATID ON T_CAL_INITBILLENTRY ( FMATERIALID );

 -- 初始核算单主表T_CAL_INITBILL
 EXEC P_ALTERPK 'PK_CAL_INITBILL', 'T_CAL_INITBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_INITBILL_FBIZDATE') CREATE INDEX IDX_CAL_INITBILL_FBIZDATE ON T_CAL_INITBILL ( FBIZDATE );
 