﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTADJUSTBILL' AND KSQL_COL_NAME IN ('FFEESHAREFLAGID')) 
 ALTER TABLE T_CAL_COSTADJUSTBILL ADD (FFEESHAREFLAGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTADJUSTBILLENTRY' AND KSQL_COL_NAME IN ('FINVBILLID')) 
 ALTER TABLE T_CAL_COSTADJUSTBILLENTRY ADD (FINVBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTADJUSTBILLENTRY' AND KSQL_COL_NAME IN ('FINVBILLENTRYID')) 
 ALTER TABLE T_CAL_COSTADJUSTBILLENTRY ADD (FINVBILLENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTADJUSTBILLENTRY' AND KSQL_COL_NAME IN ('FSRCBILLID')) 
 ALTER TABLE T_CAL_COSTADJUSTBILLENTRY ADD (FSRCBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTADJUSTBILLENTRY' AND KSQL_COL_NAME IN ('FSRCBILLENTRYID')) 
 ALTER TABLE T_CAL_COSTADJUSTBILLENTRY ADD (FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTESBILLRESULT' AND KSQL_COL_NAME IN ('FESTIMATEBILLNO')) 
 ALTER TABLE T_CAL_COSTESBILLRESULT ADD (FESTIMATEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_FEERECORD') 
 CREATE TABLE T_CAL_FEERECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSHAREDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_FEERECORDENTRY') 
 CREATE TABLE T_CAL_FEERECORDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FBILLNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FASSTACTTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FASSTACTID BIGINT DEFAULT 0 NOT NULL,
FBILLSEQ INT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSHARECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSHAREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSHAREUSERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_SHAREDETAIL') 
 CREATE TABLE T_CAL_SHAREDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSHARERCDID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOSTRECORDID BIGINT DEFAULT 0 NOT NULL,
FCOSTRECORDENTRYID BIGINT DEFAULT 0 NOT NULL,
FSHAREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTESTIMATEBILL' AND KSQL_COL_NAME IN ('FCALORGID')) 
 ALTER TABLE T_CAL_COSTESTIMATEBILL ADD (FCALORGID BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
