
-- 调度任务 核算业务重新执行
DELETE FROM t_sch_taskdefine WHERE FID = '1Y1CIU=8SYVX';
INSERT INTO t_sch_taskdefine(FID,FCLASSNAME,FAPPID,FNUMBER) VALUES ('1Y1CIU=8SYVX','kd.fi.cal.formplugin.setting.CalAutoSyncMainTask','cal','CalAutoSyncPlan');

-- 调度任务多语言
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '1Y1CIU=8USXB';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1Y1CIU=8SYVX','1Y1CIU=8USXB','zh_CN','核算自动同步单据');
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '1Y1CIU=8USXC';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1Y1CIU=8SYVX','1Y1CIU=8USXC','zh_TW','核算自動同步單據');


-- 调度作业
DELETE FROM T_SCH_JOB WHERE FID = '1Y1D231+U/JM';
INSERT INTO T_SCH_JOB(FID,FTASKCLASSNAME,FTASKDEFINEID,FRUNMODE,FRUNBYUSERID,FJOBTYPE,FSTATUS,FNUMBER,FCONCURRENT,FSTRATEGY,FTIMEOUT,FRETRYTIME,FRUNBYLANG,FPARAMS,FRUNBYORGID) VALUES ('1Y1D231+U/JM','kd.fi.cal.formplugin.setting.CalAutoSyncMainTask','1Y1CIU=8SYVX','0',100431,'BIZ','1','cal_CalAutoSyncPlan_SKDJ_S','0','1',0,0,' ','{"modifytimefromday":"1","modifytimetoday":"7","batch":"100","bizdatedayrange":"30"}',0);

-- 调度作业通知
DELETE FROM T_SCH_JOB_n WHERE FID = '1Y1D231+U/JM';
INSERT INTO T_SCH_JOB_n(FID,FJOBPRINCIPAL,FSUCCESSNOTIFY,FMSGCONTENT,FFAILNOTIFY,FNOTIFYTYPE,FCAPTION) VALUES ('1Y1D231+U/JM',0,'0',' ','1',' ','调度作业通知');

-- 自定义参数

DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '1Y1D231+U/JN';
INSERT INTO T_SCH_JOBPARAMS(FID,FENTRYID,FSEQ,FPARAMVALUE,FPARAMNAME) VALUES ('1Y1D231+U/JM','1Y1D231+U/JN',1,'1','modifytimefromday');
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '1Y1D231+U/JP';
INSERT INTO T_SCH_JOBPARAMS(FID,FENTRYID,FSEQ,FPARAMVALUE,FPARAMNAME) VALUES ('1Y1D231+U/JM','1Y1D231+U/JP',3,'30','bizdatedayrange');
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '1Y1D231+U/JQ';
INSERT INTO T_SCH_JOBPARAMS(FID,FENTRYID,FSEQ,FPARAMVALUE,FPARAMNAME) VALUES ('1Y1D231+U/JM','1Y1D231+U/JQ',4,'100','batch');
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '1Y1D231+U/JO';
INSERT INTO T_SCH_JOBPARAMS(FID,FENTRYID,FSEQ,FPARAMVALUE,FPARAMNAME) VALUES ('1Y1D231+U/JM','1Y1D231+U/JO',2,'7','modifytimetoday');


-- 调度作业多语言
DELETE FROM T_SCH_JOB_L WHERE FPKID = '1Y1D231+S5I6';
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1Y1D231+U/JM','1Y1D231+S5I6','zh_CN','核算自动同步单据');
DELETE FROM T_SCH_JOB_L WHERE FPKID = '1Y1D231+S5I7';
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1Y1D231+U/JM','1Y1D231+S5I7','zh_TW','核算自動同步單據');



-- 调度计划
DELETE FROM T_SCH_SCHEDULE WHERE FID = '1Y1D612VM==M';
INSERT INTO T_SCH_SCHEDULE(FTWENTY,FFIVE,FELEVEN,FNINE,FNO,FSUN,FTWO,FEIGHT,FNOV,FPLAN,FWED,FHOST,FTWENTYTWO,FFOUR,FMAR,FSEP,FENDTIME,FSIX,FMAY,FREPEATMODE,FTHIRTYONE,FBYDAYORWEEK,FTWENTYSEVEN,FTWENTYSIX,FTHIRTEEN,FAUG,FDESC,FFIFTEEN,FTWENTYONE,FBYWEEK,FTUES,FSEVENTEEN,FSEVEN,FTWENTYFOUR,FMON,FTHIRTY,FTHREE,FFOURTEEN,FJAN,FNINETEEN,FTHUR,FTEN,FFRI,FJOBID,FSTARTTIME,FOCT,FAPR,FSIXTEEN,FID,FSAT,FONE,FTWENTYEIGHT,FTWENTYTHREE,FTWELVE,FNOWEEK,FSTATUS,FNUMBER,FTWENTYFIVE,FEIGHTEEN,FCYCLENUM,FTWENTYNINE,FJUL,FDEC,FFEB,FJUN) VALUES ('0','0','0','0',' ','0','0','0','0','0 0 2 * * ?','0','172.19.71.47','0','0','0','0',{ts'2120-09-01  00:00:00'},'0','0','d','0','d','0','0','0','0','事件将于2021-09-01 00:00:00起，
每1天2时重复。
预计最近十次执行时间：
2021-09-01 02:00:00,
2021-09-02 02:00:00,
2021-09-03 02:00:00,
2021-09-04 02:00:00,
2021-09-05 02:00:00,
2021-09-06 02:00:00,
2021-09-07 02:00:00,
2021-09-08 02:00:00,
2021-09-09 02:00:00,
2021-09-10 02:00:00','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','1Y1D231+U/JM',{ts'2021-09-01  00:00:00'},'0','0','0','1Y1D612VM==M','0','0','0','0','0',' ','1','cal_CalAutoSyncPlan_SKDP_S','0','0',1,'0','0','0','0','0');


-- 调度计划多语言
DELETE FROM T_SCH_SCHEDULE_l WHERE FPKID = '1Y1D612VO4B1';
INSERT INTO T_SCH_SCHEDULE_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1Y1D612VM==M','1Y1D612VO4B1','zh_CN','核算自动同步单据');
DELETE FROM T_SCH_SCHEDULE_l WHERE FPKID = '1Y1D612VO4B2';
INSERT INTO T_SCH_SCHEDULE_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1Y1D612VM==M','1Y1D612VO4B2','zh_TW','核算自動同步單據');


-- 调度计划分录(调度作业)
DELETE FROM t_sch_schedule_entry WHERE FENTRYID = '1Y1D612VM==N';
INSERT INTO t_sch_schedule_entry(FID,FJOBNUMBER,FENTRYID,FSEQ) VALUES ('1Y1D612VM==M','1Y1D231+U/JM','1Y1D612VM==N',1);






