-- 成本调整单编码规则
DELETE FROM T_CR_CODERULE WHERE FID = '29RZ=/E7OLPW';
INSERT INTO T_CR_CODERULE(FEXAMPLE,FAPPMODE,FISADDVIEW,FISAPPCONDITION,FMASTERID,FISUNIQUE,FISMODIFIABLE,FCREATETIME,FBIZOBJECTID,FENABLE,FISUPDATERECOVER,FISAPPORG,FISSERIALNUMBER,FISCHECKCODE,FID,FCTRLMODE,FSPLITSIGN,FISLOG,FSTATUS,FNUMBER,FEXAMPLELENGTH,FISFAST,FMODIFIERID,FISNONBREAK,FMODIFYTIME,FCREATORID) VALUES (' ','2','1','0','29RZ=/E7OLPW','0','0',{ts'2022-02-28  00:00:00'},'cal_costadjust_subentity','0','0','0','1','0','29RZ=/E7OLPW','1','-','0','C','29RZ6F7DQQ3A',' ','0',13466739,'0',{ts'2022-03-16  00:00:00'},0);
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2A5S8+QZRA0W';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('29RZ=/E7OLPW',1,'1',' ','0','2A5S8+QZRA0W',1,'1','1',0,8,'1','CBTZD','1',' ',' ','0',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2A5S8+QZRA0X';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('29RZ=/E7OLPW',1,'2','-','1','2A5S8+QZRA0X',1,'1',' ',1,8,'1','yyMMdd','1',' ','bookdate','1',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2A5S8+QZRA0Y';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('29RZ=/E7OLPW',1,'16','-','0','2A5S8+QZRA0Y',1,'1',' ',2,6,'1',' ','1',' ',' ','1',' ');

-- 如果客户是启用的，我们预置的规则就默认为禁用；如果客户没有预置，我们默认启用
IF NOT EXISTS (select 1 from T_CR_CODERULE where FBIZOBJECTID = 'cal_costadjust_subentity' and FENABLE = '1')
update T_CR_CODERULE set FENABLE = '1' where FID = '29RZ=/E7OLPW';

-- 初始核算单编码规则
DELETE FROM T_CR_CODERULE WHERE FID = '29RZP=3FYNPO';
INSERT INTO T_CR_CODERULE(FEXAMPLE,FAPPMODE,FISADDVIEW,FISAPPCONDITION,FMASTERID,FISUNIQUE,FISMODIFIABLE,FCREATETIME,FBIZOBJECTID,FENABLE,FISUPDATERECOVER,FISAPPORG,FISSERIALNUMBER,FISCHECKCODE,FID,FCTRLMODE,FSPLITSIGN,FISLOG,FSTATUS,FNUMBER,FEXAMPLELENGTH,FISFAST,FMODIFIERID,FISNONBREAK,FMODIFYTIME,FCREATORID) VALUES (' ','2','1','0','29RZP=3FYNPO','0','0',{ts'2022-02-28  00:00:00'},'cal_initbill','0','0','0','1','0','29RZP=3FYNPO','1','-','0','C','29RZM2U6UF=0',' ','0',13466739,'0',{ts'2022-03-16  00:00:00'},0);
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2A5S=KX63A6D';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('29RZP=3FYNPO',1,'1',' ','0','2A5S=KX63A6D',1,'1','1',0,8,'1','CSHS','1',' ',' ','0',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2A5S=KX63A6E';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('29RZP=3FYNPO',1,'2','-','1','2A5S=KX63A6E',1,'1',' ',1,8,'1','yyMMdd','1',' ','bookdate','1',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2A5S=KX63A6F';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('29RZP=3FYNPO',1,'16','-','0','2A5S=KX63A6F',1,'1',' ',2,6,'1',' ','1',' ',' ','1',' ');

IF NOT EXISTS (select 1 from T_CR_CODERULE where FBIZOBJECTID = 'cal_initbill' and FENABLE = '1')
update T_CR_CODERULE set FENABLE = '1' where FID = '29RZP=3FYNPO';

-- 成本更新申请单
DELETE FROM T_CR_CODERULE WHERE FID = '29RYXTJ02B00';
INSERT INTO T_CR_CODERULE(FEXAMPLE,FAPPMODE,FISADDVIEW,FISAPPCONDITION,FMASTERID,FISUNIQUE,FISMODIFIABLE,FCREATETIME,FBIZOBJECTID,FENABLE,FISUPDATERECOVER,FISAPPORG,FISSERIALNUMBER,FISCHECKCODE,FID,FCTRLMODE,FSPLITSIGN,FISLOG,FSTATUS,FNUMBER,FEXAMPLELENGTH,FISFAST,FMODIFIERID,FISNONBREAK,FMODIFYTIME,FCREATORID) VALUES (' ','2','1','0','29RYXTJ02B00','0','0',{ts'2022-02-28  00:00:00'},'cal_costupdateapplybill','0','0','0','1','0','29RYXTJ02B00','1','-','0','C','29RYU+YLQJ+C',' ','0',13466739,'0',{ts'2022-03-16  00:00:00'},0);
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2A5S5+MYHFWC';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('29RYXTJ02B00',1,'1',' ','0','2A5S5+MYHFWC',1,'1','1',0,8,'1','CBSQ','1',' ',' ','0',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2A5S5+MYHFWD';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('29RYXTJ02B00',1,'2','-','1','2A5S5+MYHFWD',1,'1',' ',1,8,'1','yyMMdd','1',' ','bookdate','1',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2A5S5+MYHFWE';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('29RYXTJ02B00',1,'16','-','0','2A5S5+MYHFWE',1,'1',' ',2,6,'1',' ','1',' ',' ','1',' ');

IF NOT EXISTS (select 1 from T_CR_CODERULE where FBIZOBJECTID = 'cal_costupdateapplybill' and FENABLE = '1')
update T_CR_CODERULE set FENABLE = '1' where FID = '29RYXTJ02B00';

-- 存货跌价计提单
DELETE FROM T_CR_CODERULE WHERE FID = '29RZTNQZV2I/';
INSERT INTO T_CR_CODERULE(FEXAMPLE,FAPPMODE,FISADDVIEW,FISAPPCONDITION,FMASTERID,FISUNIQUE,FISMODIFIABLE,FCREATETIME,FBIZOBJECTID,FENABLE,FISUPDATERECOVER,FISAPPORG,FISSERIALNUMBER,FISCHECKCODE,FID,FCTRLMODE,FSPLITSIGN,FISLOG,FSTATUS,FNUMBER,FEXAMPLELENGTH,FISFAST,FMODIFIERID,FISNONBREAK,FMODIFYTIME,FCREATORID) VALUES (' ','2','1','0','29RZTNQZV2I/','0','0',{ts'2022-02-28  00:00:00'},'cal_price_provbill','0','0','0','1','0','29RZTNQZV2I/','1','-','0','C','29RZR43S78VD',' ','0',13466739,'0',{ts'2022-03-16  00:00:00'},0);
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2A5SB4LLQD9K';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('29RZTNQZV2I/',1,'1',' ','0','2A5SB4LLQD9K',1,'1','1',0,8,'1','DJJT','1',' ',' ','0',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2A5SB4LLQD9L';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('29RZTNQZV2I/',1,'2','-','1','2A5SB4LLQD9L',1,'1',' ',1,8,'1','yyMMdd','1',' ','bookdate','1',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2A5SB4LLQD9M';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('29RZTNQZV2I/',1,'16','-','0','2A5SB4LLQD9M',1,'1',' ',2,6,'1',' ','1',' ',' ','1',' ');

IF NOT EXISTS (select 1 from T_CR_CODERULE where FBIZOBJECTID = 'cal_price_provbill' and FENABLE = '1')
update T_CR_CODERULE set FENABLE = '1' where FID = '29RZTNQZV2I/';

-- 存货跌价冲回单
DELETE FROM T_CR_CODERULE WHERE FID = '29RZX050IY77';
INSERT INTO T_CR_CODERULE(FEXAMPLE,FAPPMODE,FISADDVIEW,FISAPPCONDITION,FMASTERID,FISUNIQUE,FISMODIFIABLE,FCREATETIME,FBIZOBJECTID,FENABLE,FISUPDATERECOVER,FISAPPORG,FISSERIALNUMBER,FISCHECKCODE,FID,FCTRLMODE,FSPLITSIGN,FISLOG,FSTATUS,FNUMBER,FEXAMPLELENGTH,FISFAST,FMODIFIERID,FISNONBREAK,FMODIFYTIME,FCREATORID) VALUES (' ','2','1','0','29RZX050IY77','0','0',{ts'2022-02-28  00:00:00'},'cal_price_revbill','0','0','0','1','0','29RZX050IY77','1','-','0','C','29RZUEUZQRYD',' ','0',13466739,'0',{ts'2022-03-16  00:00:00'},0);
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2A5SC3WP5/TZ';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('29RZX050IY77',1,'1',' ','0','2A5SC3WP5/TZ',1,'1','1',0,8,'1','DJCH','1',' ',' ','0',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2A5SC3WP5/U+';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('29RZX050IY77',1,'2','-','1','2A5SC3WP5/U+',1,'1',' ',1,8,'1','yyMMdd','1',' ','bookdate','1',' ');
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '2A5SC3WP5/U/';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('29RZX050IY77',1,'16','-','0','2A5SC3WP5/U/',1,'1',' ',2,6,'1',' ','1',' ',' ','1',' ');

IF NOT EXISTS (select 1 from T_CR_CODERULE where FBIZOBJECTID = 'cal_price_revbill' and FENABLE = '1')
update T_CR_CODERULE set FENABLE = '1' where FID = '29RZX050IY77';