-- 核算即时核算调度任务
-- 调度任务类名
DELETE FROM t_sch_taskdefine WHERE FID = '2PZEY192UAF2';
INSERT INTO t_sch_taskdefine(FID,FCLASSNAME,FAPPID,FNUMBER) VALUES ('2PZEY192UAF2','kd.fi.cal.formplugin.setting.CalInTimeTask','cal','CalInTimeTask');
-- 类名多语言
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '2PZEY192YHC4';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('2PZEY192UAF2','2PZEY192YHC4','zh_CN','核算即时核算调度任务');
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '2PZEY192YHC5';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('2PZEY192UAF2','2PZEY192YHC5','zh_TW','核算即時核算調度任務');
-- 调度作业
DELETE FROM T_SCH_JOB WHERE FID = '2PZF9JRK1X/+';
INSERT INTO T_SCH_JOB(FID,FTASKCLASSNAME,FTASKDEFINEID,FRUNMODE,FRUNBYUSERID,FJOBTYPE,FSTATUS,FNUMBER,FCONCURRENT,FSTRATEGY,FTIMEOUT,FRETRYTIME,FRUNBYLANG,FPARAMS,FRUNBYORGID) VALUES ('2PZF9JRK1X/+','kd.fi.cal.formplugin.setting.CalInTimeTask','2PZEY192UAF2','0',202019,'BIZ','1','cal_CalInTime_SKDJ_S','0','1',0,0,' ','{"batch":"100","percent":"80"}',0);

-- 调度作业通知
DELETE FROM T_SCH_JOB_n WHERE FID = '2PZF9JRK1X/+';
INSERT INTO T_SCH_JOB_n(FID,FJOBPRINCIPAL,FSUCCESSNOTIFY,FMSGCONTENT,FFAILNOTIFY,FNOTIFYTYPE,FCAPTION) VALUES ('2PZF9JRK1X/+',0,'0',' ','1',' ','调度作业通知');

-- 调度作业多语言
DELETE FROM T_SCH_JOB_L WHERE FPKID = '2PZF9JRK61Y0';
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('2PZF9JRK1X/+','2PZF9JRK61Y0','zh_CN','核算即时核算');
DELETE FROM T_SCH_JOB_L WHERE FPKID = '2PZF9JRK61Y1';
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('2PZF9JRK1X/+','2PZF9JRK61Y1','zh_TW','核算即時核算');
-- 自定义参数
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '2QUXO68I2HK9';
INSERT INTO T_SCH_JOBPARAMS(FID,FMUST,FPARAMTYPE,FENTRYID,FSEQ,FPARAMDEFVALUE,FBASEDATAINFO,FPARAMVALUE,FPARAMNAME) VALUES ('2PZF9JRK1X/+','1','1','2QUXO68I2HK9',1,NULL,' ','100','batch');
DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '2QUXO68I2HK=';
INSERT INTO T_SCH_JOBPARAMS(FID,FMUST,FPARAMTYPE,FENTRYID,FSEQ,FPARAMDEFVALUE,FBASEDATAINFO,FPARAMVALUE,FPARAMNAME) VALUES ('2PZF9JRK1X/+','1','1','2QUXO68I2HK=',2,NULL,' ','80','percent');
-- 调度计划
DELETE FROM T_SCH_SCHEDULE WHERE FID = '2PZFJN2AZKZH';
DELETE FROM T_SCH_SCHEDULE WHERE FID = '2PZFJN2AZKZH';
INSERT INTO T_SCH_SCHEDULE(FTWENTY,FFIVE,FELEVEN,FNINE,FNO,FSUN,FTWO,FEIGHT,FNOV,FPLAN,FWED,FHOST,FTWENTYTWO,FFOUR,FMAR,FSEP,FENDTIME,FSIX,FMAY,FREPEATMODE,FTHIRTYONE,FBYDAYORWEEK,FTWENTYSEVEN,FTWENTYSIX,FTHIRTEEN,FAUG,FDESC,FFIFTEEN,FTWENTYONE,FBYWEEK,FTUES,FSEVENTEEN,FSEVEN,FTWENTYFOUR,FMON,FTHIRTY,FTHREE,FFOURTEEN,FJAN,FNINETEEN,FTHUR,FTEN,FFRI,FJOBID,FSTARTTIME,FOCT,FAPR,FSIXTEEN,FID,FSAT,FONE,FTWENTYEIGHT,FTWENTYTHREE,FTWELVE,FNOWEEK,FSTATUS,FNUMBER,FTWENTYFIVE,FEIGHTEEN,FCYCLENUM,FTWENTYNINE,FJUL,FDEC,FFEB,FJUN) VALUES ('0','0','0','0',' ','0','0','0','0','0 0/5 * * * ?','0','172.19.108.225','0','0','0','0',{ts'2122-09-09  00:00:00'},'0','0','mi','0','d','0','0','0','0','事件将于2022-09-01 00:00:00起，每5分钟重复。
预计最近十次执行时间：
2022-09-01 00:00:00,
2022-09-01 00:05:00,
2022-09-01 00:10:00,
2022-09-01 00:15:00,
2022-09-01 00:20:00,
2022-09-01 00:25:00,
2022-09-01 00:30:00,
2022-09-01 00:35:00,
2022-09-01 00:40:00,
2022-09-01 00:45:00','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','2PZF9JRK1X/+',{ts'2022-09-01  00:00:00'},'0','0','0','2PZFJN2AZKZH','0','0','0','0','0',' ','1','cal_CalInTime_SKDP_S','0','0',5,'0','0','0','0','0');

-- 调度计划多语言
DELETE FROM T_SCH_SCHEDULE_l WHERE FPKID = '2PZFJN2AVE0F';
INSERT INTO T_SCH_SCHEDULE_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('2PZFJN2AZKZH','2PZFJN2AVE0F','zh_CN','核算即时核算');
DELETE FROM T_SCH_SCHEDULE_l WHERE FPKID = '2PZFJN2AVE0G';
INSERT INTO T_SCH_SCHEDULE_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('2PZFJN2AZKZH','2PZFJN2AVE0G','zh_TW','核算即時核算');
-- 调度计划分录(调度作业)
DELETE FROM t_sch_schedule_entry WHERE FENTRYID = '2PZFJN2AZKZI';
INSERT INTO t_sch_schedule_entry(FID,FJOBNUMBER,FENTRYID,FSEQ) VALUES ('2PZFJN2AZKZH','2PZF9JRK1X/+','2PZFJN2AZKZI',1);

-- CalInTimeTask 核算即时核算调度任务 执行人修改为管理员
update T_SCH_JOB set FRUNBYUSERID = 1  WHERE FID = '2PZF9JRK1X/+';