
-- 调度任务 业财一体化回滚调度计划
DELETE FROM t_sch_taskdefine WHERE FID = '2ZNTXQ6=99PS';
INSERT INTO t_sch_taskdefine(FID,FCLASSNAME,FAPPID,FNUMBER) VALUES ('2ZNTXQ6=99PS','kd.fi.cal.formplugin.setting.BizFinIntTask','cal','cal_BizFinInt_class');


-- 调度任务多语言
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '2ZNTXQ6=6LC0';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('2ZNTXQ6=99PS','2ZNTXQ6=6LC0','zh_CN','业财一体化回滚调度任务');
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '2ZNTXQ6=6LC1';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('2ZNTXQ6=99PS','2ZNTXQ6=6LC1','zh_TW','業財一體化回滾調度任務');


-- 调度作业
DELETE FROM T_SCH_JOB WHERE FID = '2ZNU+6=VHG1Y';
INSERT INTO T_SCH_JOB(FID,FTASKCLASSNAME,FTASKDEFINEID,FRUNMODE,FRUNBYUSERID,FJOBTYPE,FSTATUS,FNUMBER,FCONCURRENT,FSTRATEGY,FTIMEOUT,FRETRYTIME,FRUNBYLANG,FPARAMS,FRUNBYORGID) VALUES ('2ZNU+6=VHG1Y','kd.fi.cal.formplugin.setting.BizFinIntTask','2ZNTXQ6=99PS','0',10895403,'BIZ','1','cal_BizFinInt_task_SKDJ_S','0','1',0,0,' ','{}',0);

-- 调度作业通知
DELETE FROM T_SCH_JOB_n WHERE FID = '2ZNU+6=VHG1Y';
INSERT INTO T_SCH_JOB_n(FID,FJOBPRINCIPAL,FSUCCESSNOTIFY,FMSGCONTENT,FFAILNOTIFY,FNOTIFYTYPE,FCAPTION) VALUES ('2ZNU+6=VHG1Y',0,'0',' ','1',' ','调度作业通知');

-- 自定义参数

-- DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '1Y1D231+U/JN';
-- INSERT INTO T_SCH_JOBPARAMS(FID,FENTRYID,FSEQ,FPARAMVALUE,FPARAMNAME) VALUES ('1Y1D231+U/JM','1Y1D231+U/JN',1,'1','modifytimefromday');
-- DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '1Y1D231+U/JP';
-- INSERT INTO T_SCH_JOBPARAMS(FID,FENTRYID,FSEQ,FPARAMVALUE,FPARAMNAME) VALUES ('1Y1D231+U/JM','1Y1D231+U/JP',3,'30','bizdatedayrange');
-- DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '1Y1D231+U/JQ';
-- INSERT INTO T_SCH_JOBPARAMS(FID,FENTRYID,FSEQ,FPARAMVALUE,FPARAMNAME) VALUES ('1Y1D231+U/JM','1Y1D231+U/JQ',4,'100','batch');
-- DELETE FROM T_SCH_JOBPARAMS WHERE FENTRYID = '1Y1D231+U/JO';
-- INSERT INTO T_SCH_JOBPARAMS(FID,FENTRYID,FSEQ,FPARAMVALUE,FPARAMNAME) VALUES ('1Y1D231+U/JM','1Y1D231+U/JO',2,'7','modifytimetoday');


-- 调度作业多语言
DELETE FROM T_SCH_JOB_L WHERE FPKID = '2ZNU+6=VK4EO';
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('2ZNU+6=VHG1Y','2ZNU+6=VK4EO','zh_CN','业财一体化回滚调度任务');
DELETE FROM T_SCH_JOB_L WHERE FPKID = '2ZNU+6=VK4EP';
INSERT INTO T_SCH_JOB_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('2ZNU+6=VHG1Y','2ZNU+6=VK4EP','zh_TW','業財一體化回滾調度任務');



-- 调度计划
DELETE FROM T_SCH_SCHEDULE WHERE FID = '2ZNU/RI653RC';
INSERT INTO T_SCH_SCHEDULE(FTWENTY,FFIVE,FELEVEN,FNINE,FNO,FSUN,FTWO,FEIGHT,FNOV,FPLAN,FWED,FHOST,FTWENTYTWO,FFOUR,FMAR,FSEP,FENDTIME,FSIX,FMAY,FREPEATMODE,FTHIRTYONE,FBYDAYORWEEK,FTWENTYSEVEN,FTWENTYSIX,FTHIRTEEN,FAUG,FDESC,FFIFTEEN,FTWENTYONE,FBYWEEK,FTUES,FSEVENTEEN,FSEVEN,FTWENTYFOUR,FMON,FTHIRTY,FTHREE,FFOURTEEN,FJAN,FNINETEEN,FTHUR,FTEN,FFRI,FJOBID,FSTARTTIME,FOCT,FAPR,FSIXTEEN,FID,FSAT,FONE,FTWENTYEIGHT,FTWENTYTHREE,FTWELVE,FNOWEEK,FSTATUS,FNUMBER,FTWENTYFIVE,FEIGHTEEN,FCYCLENUM,FTWENTYNINE,FJUL,FDEC,FFEB,FJUN) VALUES ('0','0','0','0',' ','0','0','0','0','0 0 15 1 12 ? 2022','0','172.19.108.225','0','0','0','0',{ts'2199-12-01  00:00:00'},'0','0','n','0','d','0','0','0','0','事件不重复','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','2ZNU+6=VHG1Y',{ts'2022-12-01  00:00:00'},'0','0','0','2ZNU/RI653RC','0','0','0','0','0',' ','1','cal_BizFinInt_SKDP_S','0','0',1,'0','0','0','0','0');


-- 调度计划多语言
DELETE FROM T_SCH_SCHEDULE_l WHERE FPKID = '2ZNU/RI62FDM';
INSERT INTO T_SCH_SCHEDULE_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('2ZNU/RI653RC','2ZNU/RI62FDM','zh_CN','业财一体化回滚调度计划');
DELETE FROM T_SCH_SCHEDULE_l WHERE FPKID = '2ZNU/RI62FDN';
INSERT INTO T_SCH_SCHEDULE_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('2ZNU/RI653RC','2ZNU/RI62FDN','zh_TW','業財一體化回滾調度計劃');



-- 调度计划分录(调度作业)
DELETE FROM t_sch_schedule_entry WHERE FENTRYID = '2ZNU/RI653RD';
INSERT INTO t_sch_schedule_entry(FID,FJOBNUMBER,FENTRYID,FSEQ) VALUES ('2ZNU/RI653RC','2ZNU+6=VHG1Y','2ZNU/RI653RD',1);






