--成本要素相关表历史数据升级
--王小龙
--2019.12.3

--成本记录结转明细，成本调整单结转明细，余额表结转明细，处理数据升级
IF NOT EXISTS (SELECT 1 FROM t_cal_costrecord_detail)
insert into t_cal_costrecord_detail(FDETAILID,FSEQ,FENTRYID,FCOSTELEMENTID,FCOSTSUBELEMENTID,FMATERIALID,FCURRENCYID,FBASEUNITID,FBASEQTY,FUNITSTANDARDCOST,FSTANDARDCOST,FUNITACTUALCOST,FACTUALCOST) 
select fentryid,1,fentryid,773126985240072192,773175233367685120,FMATERIALID,0,FBASEUNIT,FBASEQTY,FUNITSTANDARDCOST,FSTANDARDCOST,FUNITACTUALCOST,FACTUALCOST from t_cal_calcostrecordentry;

IF NOT EXISTS (SELECT 1 FROM t_cal_costadjust_detail)
insert into t_cal_costadjust_detail(FDETAILID,FSEQ,FENTRYID,FCOSTELEMENTID,FCOSTSUBELEMENTID,FMATERIALID,FADJUSTAMT,FCURRENCYID) 
select fentryid,1,fentryid,773126985240072192,773175233367685120,FMATERIALID,FADJUSTAMT,0 from t_cal_costadjustbillentry;

IF NOT EXISTS (SELECT 1 FROM t_cal_balance_detail)
insert into t_cal_balance_detail(FID,FBALID,FCOSTELEMENTID,FCOSTSUBELEMENTID,FPERIODBEGINQTY,FBEGINSTANDARDCOST,FPERIODBEGINCOSTDIFF,FPERIODBEGINACTUALCOST,FPERIODINQTY,FPERIODINSTANDARDCOST,FPERIODINCOSTDIFF,FPERIODINACTUALCOST,FPERIODISSUEQTY,FPERIODISSUESTANDARDCOST,FPERIODISSUECOSTDIFF,FPERIODISSUEACTUALCOST,FPERIODENDQTY,FPERIODENDSTANDARDCOST,FPERIODENDCOSTDIFF,FPERIODENDACTUALCOST,FYEARINQTY,FYEARINSTANDRADCOST,FYEARINCOSTDIFF,FYEARINACTUALCOST,FYEARISSUEQTY,FYEARISSUESTANDRADCOST,FYEARISSUECOSTDIFF,FYEARISSUEACTUALCOST) 
select FID,FID,773126985240072192,773175233367685120,FPERIODBEGINQTY,FBEGINSTANDARDCOST,FPERIODBEGINCOSTDIFF,FPERIODBEGINACTUALCOST,FPERIODINQTY,FPERIODINSTANDARDCOST,FPERIODINCOSTDIFF,FPERIODINACTUALCOST,FPERIODISSUEQTY,FPERIODISSUESTANDARDCOST,FPERIODISSUECOSTDIFF,FPERIODISSUEACTUALCOST,FPERIODENDQTY,FPERIODENDSTANDARDCOST,FPERIODENDCOSTDIFF,FPERIODENDACTUALCOST,FYEARINQTY,FYEARINSTANDRADCOST,FYEARINCOSTDIFF,FYEARINACTUALCOST,FYEARISSUEQTY,FYEARISSUESTANDRADCOST,FYEARISSUECOSTDIFF,FYEARISSUEACTUALCOST from t_cal_balance;

--余额快照表包含了成本记录和初始化余额信息
--对于余额信息，fheadid以前为0，目前需升级为余额表id，fmainid以前存余额表id,目前需要存余额表结转明细id；由于余额表结转明细id升级脚本是直接等于余额表id，因此fmainid无需修改
--对于成本记录，fheadid以前为单头id，目前无需改变，fmainid以前存成本记录分录id，目前需要存成本记录结转明细id；由于成本记录结转明细id升级脚本是直接等于成本记录分录id，因此fmainid无需修改
update t_cal_snapshootbalance set fheadid = fmainid where fheadid = 0;