DELETE FROM T_CAL_DATACHECK_ITEM WHERE FID IN (850693587615220736,850700928922271744,850599742512689152,850600627200454656,850601939245854720,850590436148905984,850601415402450944,851168646683281408);
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM) VALUES (850693587615220736, 'DC-ITEM-01', 'kd.fi.cal.business.datacheck.item.BalanceDetailDataCheck','1', '1');
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM) VALUES (850700928922271744, 'DC-ITEM-02', 'kd.fi.cal.business.datacheck.item.CostAdjustBillDataCheck',	'1', '1');
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM) VALUES (850599742512689152, 'DC-ITEM-03', 'kd.fi.cal.business.datacheck.item.PeriodBeginLastEndCheckPlugin','1', '1');
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM) VALUES (850600627200454656, 'DC-ITEM-04', 'kd.fi.cal.business.datacheck.item.PeriodEndCheckPlugin',	'1', '1');
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM) VALUES (850601939245854720, 'DC-ITEM-05', 'kd.fi.cal.business.datacheck.item.RecordCostCheckPlugin','1', '1');
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM) VALUES (850590436148905984, 'DC-ITEM-06', 'kd.fi.cal.business.datacheck.item.CostReocrdDataCheck', '1', '1');
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM) VALUES (850601415402450944, 'DC-ITEM-07', 'kd.fi.cal.business.datacheck.item.PurInUnwriteOffCheckPlugin', '1', '1');
INSERT INTO T_CAL_DATACHECK_ITEM (FID, FNUMBER, FPLUGIN, FISPRESET, FISERRORITEM) VALUES (851168646683281408, 'DC-ITEM-08', 'kd.fi.cal.business.datacheck.item.BalanceUpdateRecordCheck', '1', '1');

DELETE FROM T_CAL_DATACHECK_ITEM_L WHERE FID IN (850693587615220736,850700928922271744,850599742512689152,850600627200454656,850601939245854720,850590436148905984,850601415402450944,851168646683281408);
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('0NGKELML65=G',	850693587615220736,	'zh_CN', '余额记录成本子要素成本检查', '检查“余额表各个成本金额字段=成本子要素之和”是否成立', '数据不符合检查规则，请按检查结果提示的异常对象核对数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('0NGKELML65=H',	850693587615220736,	'zh_TW', '餘額記錄成本子要素成本檢查', '檢查“餘額表各個成本金額字段=成本子要素之和”是否成立', '數據不符合檢查規則，請按檢查結果提示的異常對象核對數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('0NG24YS7DR++',	850590436148905984,	'zh_CN', '核算成本记录实际成本数据检查', '检查公式“实际成本=材料成本+费用+加工费+资源+制造费=成本子要素成本之和”是否成立', '数据不符合检查规则，请按检查结果提示的异常对象核对数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('0NG24YS7DR+/',	850590436148905984,	'zh_TW', '核算成本記錄實際成本數據檢查', '檢查公式“實際成本=材料成本+費用+加工費+資源+製造費=成本子要素成本之和”是否成立', '數據不符合檢查規則，請按檢查結果提示的異常對象核對數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('0NGLT2ZWK9+R',	850700928922271744,	'zh_CN', '成本调整单成本子要素成本检查', '检查“成本调整单调整金额=成本子要素调整金额之和”是否成立', '数据不符合检查规则，请按检查结果提示的异常对象核对数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('0NGLT2ZWK9+S',	850700928922271744,	'zh_TW', '成本調整單成本子要素成本檢查', '檢查“成本調整單調整金額=成本子要素調整金額之和”是否成立', '數據不符合檢查規則，請按檢查結果提示的異常對象核對數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('0NG46Z+OXHMI',	850601415402450944,	'zh_CN', '核算成本记录材料成本检查', '检查”未被拆单的核算成本记录材料成本=入库核算单材料成本”是否成立', '数据不符合检查规则，请按检查结果提示的异常对象核对数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('0NG46Z+OXHMJ',	850601415402450944,	'zh_TW', '核算成本記錄材料成本檢查', '檢查”未被拆單的核算成本記錄材料成本=入庫核算單材料成本”是否成立', '數據不符合檢查規則，請按檢查結果提示的異常對象核對數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('0NG3WRK7CH=T',	850599742512689152,	'zh_CN', '余额记录当期期初检查', '校验“余额记录当期期初 = 前期期末”是否成立', '数据不符合检查规则，请按检查结果提示的异常对象核对数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('0NG3WRK7CH=U',	850599742512689152,	'zh_TW', '餘額記錄當期期初檢查', '校驗“餘額記錄當期期初 = 前期期末”是否成立', '數據不符合檢查規則，請按檢查結果提示的異常對象核對數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('0NG417+NF=AD',	850600627200454656,	'zh_CN', '余额记录当期结存检查', '针对余额数量、标准成本、实际成本，校验公式“当期结存 = 当期期初 + 收入 - 发出”是否成立', '数据不符合检查规则，请按检查结果提示的异常对象核对数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('0NG417+NF=AE',	850600627200454656,	'zh_TW', '餘額記錄當期結存檢查', '針對餘額數量、標準成本、實際成本，校驗公式“當期結存 = 當期期初 + 收入 - 發出”是否成立', '數據不符合檢查規則，請按檢查結果提示的異常對象核對數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('0NG4=RVPN86M',	850601939245854720,	'zh_CN', '核算成本记录父子单据成本一致性检查', '校验公式“被拆单单据的实际成本= 子单实际成本之和”是否成立', '数据不符合检查规则，请按检查结果提示的异常对象核对数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('0NG4=RVPN86N',	850601939245854720,	'zh_TW', '核算成本記錄父子單據成本一致性檢查', '校驗公式“被拆單單據的實際成本= 子單實際成本之和”是否成立', '數據不符合檢查規則，請按檢查結果提示的異常對象核對數據');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('0NIV6BS56DPE',	851168646683281408,	'zh_CN', '余额记录收发明细检查', '检查“余额记录的收入与发出=存货成本日志流水之和”是否成立', '数据不符合检查规则，请按检查结果提示的异常对象核对数据');
INSERT INTO T_CAL_DATACHECK_ITEM_L (FPKID, FID, FLOCALEID, FNAME, FDESCRIPTION, FTIPS) VALUES ('0NIV6BS56DPF',	851168646683281408,	'zh_TW', '餘額記錄收發明細檢查', '檢查“餘額記錄的收入與發出=存貨成本日誌流水之和”是否成立', '數據不符合檢查規則，請按檢查結果提示的異常對象核對數據');





















		
		
		
			
		
			
	
