﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest(平台_业务)\pdm\CAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTRPT') 
 CREATE TABLE T_CAL_COSTRPT (
FID BIGINT DEFAULT 0 NOT NULL,
FCALORGID BIGINT DEFAULT 0 NOT NULL,
FCALSYSTEMID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FMATERIAL BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNT BIGINT DEFAULT 0 NOT NULL,
FCALTIME DATETIME,
FNEXTSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_COSTRPTENTRY') 
 CREATE TABLE T_CAL_COSTRPTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDIVIDEBASIS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCALRANGE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCALDIMENSION NVARCHAR(200) DEFAULT ' ' NOT NULL,
FWAREHSID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FBILLNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FINCOME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPAYOUT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSETTLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTORAGEORGID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FACCOUNTTYPE VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME IN ('FLOT')) 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FLOT VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME IN ('FLOCATIONID')) 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FLOCATIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME IN ('FWAREHSID')) 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FWAREHSID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME IN ('FSTORAGEORGUNITID')) 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME IN ('FBIZBILLID')) 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FBIZBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME IN ('FBILLNUMBER')) 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FBILLNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME IN ('FCALORGID')) 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FCALORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME IN ('FBILLTYPE')) 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FBILLTYPE VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME IN ('FBIZDATE')) 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FBIZDATE DATETIME );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_CAL_INQUEUERECORD', 'FACCOUNTTYPE', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME IN ('FBILLTYPE')) 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FBILLTYPE VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME IN ('FCALORGID')) 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FCALORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME IN ('FLOT')) 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FLOT VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME IN ('FBIZBILLID')) 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FBIZBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME IN ('FBIZDATE')) 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FBIZDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME IN ('FSTORAGEORGUNITID')) 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME IN ('FWAREHSID')) 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FWAREHSID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME IN ('FLOCATIONID')) 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FLOCATIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME IN ('FBILLNUMBER')) 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FBILLNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_CAL_OUTQUEUERECORD', 'FACCOUNTTYPE', 'NULL', 'NULL', '1001', 'NULL';


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest(平台_业务)\pdm\CAL_table.sql **/
