﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_constraint.sql **/
 EXEC P_ALTERPK 'PK_CAL_BAL_SP', 'T_CAL_BAL_SP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BALSP_FK') CREATE INDEX IDX_CAL_BALSP_FK ON T_CAL_BAL_SP ( FKEYCOL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BALSP_FBID') CREATE INDEX IDX_CAL_BALSP_FBID ON T_CAL_BAL_SP ( FBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BALSP_FBEID') CREATE INDEX IDX_CAL_BALSP_FBEID ON T_CAL_BAL_SP ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BALSP_FBNO') CREATE INDEX IDX_CAL_BALSP_FBNO ON T_CAL_BAL_SP ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BALSP_FUT') CREATE INDEX IDX_CAL_BALSP_FUT ON T_CAL_BAL_SP ( FUPDATETIME );


 EXEC p_AlterPK 'PK_CAL_STANDCOST_BAL_SP', 'T_CAL_STANDCOST_BAL_SP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_SDBALSP_FK') CREATE INDEX IDX_CAL_SDBALSP_FK ON T_CAL_STANDCOST_BAL_SP ( FKEYCOL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_SDBALSP_FBID') CREATE INDEX IDX_CAL_SDBALSP_FBID ON T_CAL_STANDCOST_BAL_SP ( FBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_SDBALSP_FBEID') CREATE INDEX IDX_CAL_SDBALSP_FBEID ON T_CAL_STANDCOST_BAL_SP ( FENTRYID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_SDBALSP_FBNO') CREATE INDEX IDX_CAL_SDBALSP_FBNO ON T_CAL_STANDCOST_BAL_SP ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_SDBALSP_FUT') CREATE INDEX IDX_CAL_SDBALSP_FUT ON T_CAL_STANDCOST_BAL_SP ( FUPDATETIME );


 EXEC P_ALTERPK 'PK_CAL_BAL', 'T_CAL_BAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BAL_FK') CREATE INDEX IDX_CAL_BAL_FK ON T_CAL_BAL ( FKEYCOL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BAL_FPK') CREATE UNIQUE INDEX IDX_CAL_BAL_FPK ON T_CAL_BAL ( FPERIOD ,FKEYCOL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BAL_FMT') CREATE INDEX IDX_CAL_BAL_FMT ON T_CAL_BAL ( FMATERIALID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BAL_FCA') CREATE INDEX IDX_CAL_BAL_FCA ON T_CAL_BAL ( FCOSTACCOUNTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BAL_FCO') CREATE INDEX IDX_CAL_BAL_FCO ON T_CAL_BAL ( FCALORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BAL_FWH') CREATE INDEX IDX_CAL_BAL_FWH ON T_CAL_BAL ( FWAREHOUSEID );


 EXEC P_ALTERPK 'PK_CAL_STANDCOST_BAL', 'T_CAL_STANDCOST_BAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_SDBAL_FK') CREATE INDEX IDX_CAL_SDBAL_FK ON T_CAL_STANDCOST_BAL ( FKEYCOL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_SDBAL_FPK') CREATE UNIQUE INDEX IDX_CAL_SDBAL_FPK ON T_CAL_STANDCOST_BAL ( FPERIOD ,FKEYCOL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_SDBAL_FMT') CREATE INDEX IDX_CAL_SDBAL_FMT ON T_CAL_STANDCOST_BAL ( FMATERIALID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_SDBAL_FCA') CREATE INDEX IDX_CAL_SDBAL_FCA ON T_CAL_STANDCOST_BAL ( FCOSTACCOUNTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_SDBAL_FCO') CREATE INDEX IDX_CAL_SDBAL_FCO ON T_CAL_STANDCOST_BAL ( FCALORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_SDBAL_FWH') CREATE INDEX IDX_CAL_SDBAL_FWH ON T_CAL_STANDCOST_BAL ( FWAREHOUSEID );
 
  EXEC P_ALTERPK 'PK_CAL_RECAL_MSG', 'T_CAL_RECAL_MSG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BAL_RE_FTNO') CREATE INDEX IDX_CAL_BAL_RE_FTNO ON T_CAL_RECAL_MSG ( FTASKNO );


 EXEC P_ALTERPK 'PK_CAL_RECAL_POINT', 'T_CAL_RECAL_POINT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BAL_RP_RID') CREATE INDEX IDX_CAL_BAL_RP_RID ON T_CAL_RECAL_POINT ( FRULEID );

 
 
 



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_constraint.sql **/
