﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTCALBILL' AND KSQL_COL_NAME ='FBIZTYPEID') 
 ALTER TABLE T_CAL_OUTCALBILL ADD (FBIZTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BILLGROUPSETTING' AND KSQL_COL_NAME ='FCOSTFIELDS') 
 ALTER TABLE T_CAL_BILLGROUPSETTING ADD (FCOSTFIELDS NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BILLGROUPSETTING' AND KSQL_COL_NAME ='FPRIORITY') 
 ALTER TABLE T_CAL_BILLGROUPSETTING ADD (FPRIORITY INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BILLGROUPSETTING' AND KSQL_COL_NAME ='FISTAILDIFF') 
 ALTER TABLE T_CAL_BILLGROUPSETTING ADD (FISTAILDIFF CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BILLGROUPSETTING' AND KSQL_COL_NAME ='FENABLEDATE') 
 ALTER TABLE T_CAL_BILLGROUPSETTING ADD (FENABLEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY' AND KSQL_COL_NAME ='FCALDIMENSIONID') 
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY ADD (FCALDIMENSIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORD_A' AND KSQL_COL_NAME ='FBIZTYPEID') 
 ALTER TABLE T_CAL_CALCOSTRECORD_A ADD (FBIZTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INCALBILL' AND KSQL_COL_NAME ='FBIZTYPEID') 
 ALTER TABLE T_CAL_INCALBILL ADD (FBIZTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTADJUSTBILLENTRY' AND KSQL_COL_NAME ='FCALDIMENSIONID') 
 ALTER TABLE T_CAL_COSTADJUSTBILLENTRY ADD (FCALDIMENSIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTADJUSTBILLENTRY' AND KSQL_COL_NAME ='FCALRANGEID') 
 ALTER TABLE T_CAL_COSTADJUSTBILLENTRY ADD (FCALRANGEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTADJUSTBILLENTRY' AND KSQL_COL_NAME ='FACCOUNTTYPE') 
 ALTER TABLE T_CAL_COSTADJUSTBILLENTRY ADD (FACCOUNTTYPE VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_SETTINGINBILLTYPES') 
 CREATE TABLE T_CAL_SETTINGINBILLTYPES (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_SETTINGOUTBILLTYPES') 
 CREATE TABLE T_CAL_SETTINGOUTBILLTYPES (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY_A' AND KSQL_COL_NAME ='FISALLOCATE') 
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY_A ADD (FISALLOCATE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTESBILLEXPENSE' AND KSQL_COL_NAME ='FASSTACTTYPE') 
 ALTER TABLE T_CAL_COSTESBILLEXPENSE ADD (FASSTACTTYPE NVARCHAR(30) DEFAULT 'bd_supplier' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTESBILLEXPENSE' AND KSQL_COL_NAME ='FASSTACTID') 
 ALTER TABLE T_CAL_COSTESBILLEXPENSE ADD (FASSTACTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_ESBILLRESULTENTRY' AND KSQL_COL_NAME ='FSHAREDETAILATYPE') 
 ALTER TABLE T_CAL_ESBILLRESULTENTRY ADD (FSHAREDETAILATYPE NVARCHAR(30) DEFAULT 'bd_supplier' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_ESBILLRESULTENTRY' AND KSQL_COL_NAME ='FSHAREDETAILASSTACTID') 
 ALTER TABLE T_CAL_ESBILLRESULTENTRY ADD (FSHAREDETAILASSTACTID BIGINT DEFAULT 0 NOT NULL );
 EXEC p_AlterColumn 'T_CAL_BALANCE', 'FLOT', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_SHAREDETAIL' AND KSQL_COL_NAME ='FASSTACTTYPE') 
 ALTER TABLE T_CAL_SHAREDETAIL ADD (FASSTACTTYPE NVARCHAR(30) DEFAULT 'bd_supplier' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_SHAREDETAIL' AND KSQL_COL_NAME ='FASSTACTID') 
 ALTER TABLE T_CAL_SHAREDETAIL ADD (FASSTACTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_SHAREDETAIL' AND KSQL_COL_NAME ='FENTRYID') 
 ALTER TABLE T_CAL_SHAREDETAIL ADD (FENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_SHAREDETAIL' AND KSQL_COL_NAME ='FDETAILID') 
 ALTER TABLE T_CAL_SHAREDETAIL ADD (FDETAILID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_SHAREDETAIL' AND KSQL_COL_NAME ='FSEQ') 
 ALTER TABLE T_CAL_SHAREDETAIL ADD (FSEQ INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_ESBILLDETAILENTRY') 
 CREATE TABLE T_CAL_ESBILLDETAILENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSHAREDETAILEXITEMID BIGINT DEFAULT 0 NOT NULL,
FSHAREDETAILAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSHAREDETAILAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXITEMSEQ INT DEFAULT 0 NOT NULL,
FSHAREDETAILATYPE NVARCHAR(30) DEFAULT 'bd_supplier' NOT NULL,
FSHAREDETAILASSTACTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_SHAREDETAILENTRY') 
 CREATE TABLE T_CAL_SHAREDETAILENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSHARERCDID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOSTRECORDID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
FSHAREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSTACTTYPE NVARCHAR(30) DEFAULT 'bd_supplier' NOT NULL,
FASSTACTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_RECENTCOST') 
 CREATE TABLE T_CAL_RECENTCOST (
FID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCALORGID BIGINT DEFAULT 0 NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECENTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECENTCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FLOT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FASSISTID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCALRPTID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
