﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BALANCE_COSTADJUST' AND KSQL_COL_NAME ='FADJUSTAMT') 
 ALTER TABLE T_CAL_BALANCE_COSTADJUST ADD (FADJUSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CALOUTPRT') 
 CREATE TABLE T_CAL_CALOUTPRT (
FID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FDIVIDEBASISID BIGINT DEFAULT 0 NOT NULL,
FCALDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FDIVIDEBASISVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCALDIMENSIONVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCALTIME DATETIME,
FCALSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FNEXTSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_CALOUTRPTENTRY') 
 CREATE TABLE T_CAL_CALOUTRPTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZBILLID BIGINT DEFAULT 0 NOT NULL,
FBIZBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPENUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FINSTR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOUTSTR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBALANCESTR NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CALSETTING_MATBILLTYPE') 
 CREATE TABLE T_CALSETTING_MATBILLTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CALSETTING_PURBIZTYPE') 
 CREATE TABLE T_CALSETTING_PURBIZTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CALSETTTING_OPBIZTYPE') 
 CREATE TABLE T_CALSETTTING_OPBIZTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CALSETTTING_INBIZTYPE') 
 CREATE TABLE T_CALSETTTING_INBIZTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CALSETTTING_OUTBIZTYPE') 
 CREATE TABLE T_CALSETTTING_OUTBIZTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_FEERECORDENTRY' AND KSQL_COL_NAME ='FBIZBILLENTRYID') 
 ALTER TABLE T_CAL_FEERECORDENTRY ADD (FBIZBILLENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTADJUSTBILLENTRY' AND KSQL_COL_NAME ='FFEESHARETOTALAMT') 
 ALTER TABLE T_CAL_COSTADJUSTBILLENTRY ADD (FFEESHARETOTALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
