﻿-- 李敖

-- 核算成本记录增加返工、产品、生成编号
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY' AND KSQL_COL_NAME ='FISREWORK')
 ALTER TABLE T_CAL_CALCOSTRECORDENTRY ADD (FISREWORK CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY' AND KSQL_COL_NAME ='FPRODUCTNUM')
  ALTER TABLE T_CAL_CALCOSTRECORDENTRY ADD (FPRODUCTNUM NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORDENTRY' AND KSQL_COL_NAME ='FPRODUCTID')
  ALTER TABLE T_CAL_CALCOSTRECORDENTRY ADD (FPRODUCTID BIGINT DEFAULT 0 NOT NULL );

-- 出库核算单增加返工、产品、生成编号
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTCALENTRY' AND KSQL_COL_NAME ='FISREWORK')
 ALTER TABLE T_CAL_OUTCALENTRY ADD (FISREWORK CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTCALENTRY' AND KSQL_COL_NAME ='FPRODUCTNUM')
  ALTER TABLE T_CAL_OUTCALENTRY ADD (FPRODUCTNUM NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTCALENTRY' AND KSQL_COL_NAME ='FPRODUCTID')
  ALTER TABLE T_CAL_OUTCALENTRY ADD (FPRODUCTID BIGINT DEFAULT 0 NOT NULL );

-- 入库核算单增加生成编号
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INCALENTRY' AND KSQL_COL_NAME ='FPRODUCTNUM')
  ALTER TABLE T_CAL_INCALENTRY ADD (FPRODUCTNUM NVARCHAR(255) DEFAULT ' ' NOT NULL );
 

