﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_RECENTCOST' AND KSQL_COL_NAME ='FCALRANGEID') 
 ALTER TABLE T_CAL_RECENTCOST ADD (FCALRANGEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_TOTALSHAREFEE') 
 CREATE TABLE T_CAL_TOTALSHAREFEE (
FID BIGINT DEFAULT 0 NOT NULL,
FFEESHAREID BIGINT DEFAULT 0 NOT NULL,
FCOSTRECORDENTRYID BIGINT DEFAULT 0 NOT NULL,
FTOTALFEE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BILLGROUPRECORD' AND KSQL_COL_NAME ='FSRCBILLNO') 
 ALTER TABLE T_CAL_BILLGROUPRECORD ADD (FSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BILLGROUPRECORD' AND KSQL_COL_NAME ='FDESTBILLNO') 
 ALTER TABLE T_CAL_BILLGROUPRECORD ADD (FDESTBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BILLGROUPRECORD' AND KSQL_COL_NAME ='FSRCDATE') 
 ALTER TABLE T_CAL_BILLGROUPRECORD ADD (FSRCDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BILLGROUPRECORD' AND KSQL_COL_NAME ='FDESTDATE') 
 ALTER TABLE T_CAL_BILLGROUPRECORD ADD (FDESTDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BILLGROUPRECORD' AND KSQL_COL_NAME ='FGROUPSETTINGID') 
 ALTER TABLE T_CAL_BILLGROUPRECORD ADD (FGROUPSETTINGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BILLGROUPRECORD' AND KSQL_COL_NAME ='FJOINEDQTY') 
 ALTER TABLE T_CAL_BILLGROUPRECORD ADD (FJOINEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTCALBILL' AND KSQL_COL_NAME ='FISINITBILL') 
 ALTER TABLE T_CAL_OUTCALBILL ADD (FISINITBILL CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTCALBILL' AND KSQL_COL_NAME ='FINVSCHEMEID') 
 ALTER TABLE T_CAL_OUTCALBILL ADD (FINVSCHEMEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORD_A' AND KSQL_COL_NAME ='FISINITBILL') 
 ALTER TABLE T_CAL_CALCOSTRECORD_A ADD (FISINITBILL CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_CALCOSTRECORD_A' AND KSQL_COL_NAME ='FINVSCHEMEID') 
 ALTER TABLE T_CAL_CALCOSTRECORD_A ADD (FINVSCHEMEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INCALBILL' AND KSQL_COL_NAME ='FISINITBILL') 
 ALTER TABLE T_CAL_INCALBILL ADD (FISINITBILL CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INCALBILL' AND KSQL_COL_NAME ='FINVSCHEMEID') 
 ALTER TABLE T_CAL_INCALBILL ADD (FINVSCHEMEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_BALANCE_CALRANGE') 
 CREATE TABLE T_CAL_BALANCE_CALRANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FCALRANGEID BIGINT DEFAULT 0 NOT NULL,
FCALDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTYPE VARCHAR(5) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
