﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BILLGROUPRECORD' AND KSQL_COL_NAME ='FSRCMATERIALID') 
 ALTER TABLE T_CAL_BILLGROUPRECORD ADD (FSRCMATERIALID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BILLGROUPRECORD' AND KSQL_COL_NAME ='FDESTMATERIALID') 
 ALTER TABLE T_CAL_BILLGROUPRECORD ADD (FDESTMATERIALID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_SORTRESULT') 
 CREATE TABLE T_CAL_SORTRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FHEADCALORGID BIGINT DEFAULT 0 NOT NULL,
FGROUPNO BIGINT DEFAULT -1 NOT NULL,
FGROUPSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_SORTRESULTENTRY') 
 CREATE TABLE T_CAL_SORTRESULTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCALORGID BIGINT DEFAULT 0 NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FASSISTID BIGINT DEFAULT 0 NOT NULL,
FLOT NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME ='FUNITMATERIALCOST') 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FUNITMATERIALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME ='FMATERIALCOST') 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FMATERIALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME ='FUNITFEE') 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FUNITFEE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME ='FFEE') 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FFEE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME ='FUNITPROCESSCOST') 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FUNITPROCESSCOST DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME ='FPROCESSCOST') 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FPROCESSCOST DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME ='FLOCALCURRENCYID') 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FLOCALCURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_INQUEUERECORD' AND KSQL_COL_NAME ='FPERIODID') 
 ALTER TABLE T_CAL_INQUEUERECORD ADD (FPERIODID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME ='FUNITMATERIALCOST') 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FUNITMATERIALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME ='FMATERIALCOST') 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FMATERIALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME ='FUNITFEE') 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FUNITFEE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME ='FFEE') 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FFEE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME ='FUNITPROCESSCOST') 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FUNITPROCESSCOST DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME ='FPROCESSCOST') 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FPROCESSCOST DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME ='FLOCALCURRENCYID') 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FLOCALCURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_OUTQUEUERECORD' AND KSQL_COL_NAME ='FPERIODID') 
 ALTER TABLE T_CAL_OUTQUEUERECORD ADD (FPERIODID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_BILLGROUPSETTING' AND KSQL_COL_NAME ='FISPRESET') 
 ALTER TABLE T_CAL_BILLGROUPSETTING ADD (FISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTADJUSTBILLENTRY' AND KSQL_COL_NAME ='FINVBIZENTITYOBJECT') 
 ALTER TABLE T_CAL_COSTADJUSTBILLENTRY ADD (FINVBIZENTITYOBJECT VARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTADJUSTBILLENTRY' AND KSQL_COL_NAME ='FSRCBIZENTITYOBJECT') 
 ALTER TABLE T_CAL_COSTADJUSTBILLENTRY ADD (FSRCBIZENTITYOBJECT VARCHAR(80) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_table.sql **/
