﻿-- 如果bos目中，余额升级的脚本先于业务sp表创建脚本，会导致sp表未创建，需要业务自己创建sp表
-- 刘奎忠
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_STANDCOST_BAL_TP') 
 CREATE TABLE T_CAL_STANDCOST_BAL_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FKEYCOL VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FUPDATETIME BIGINT DEFAULT 0 NOT NULL,
FISNEW CHAR(1) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FUPDATETYPE INT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYSEQ INT DEFAULT 0 NOT NULL,
FUPDATERULEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FPERIOD INT DEFAULT 0 NOT NULL,
FCOSTDIFF_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_IN_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_OUT_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_BAL_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREADTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FMOVETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSYNC CHAR(1) DEFAULT ' ' NOT NULL,
FCOVERFLAG CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_BAL_TP') 
 CREATE TABLE T_CAL_BAL_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FKEYCOL VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FUPDATETIME BIGINT DEFAULT 0 NOT NULL,
FISNEW CHAR(1) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FUPDATETYPE INT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYSEQ INT DEFAULT 0 NOT NULL,
FUPDATERULEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FPERIOD INT DEFAULT 0 NOT NULL,
FBASEQTY_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDCOST_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALCOST_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTY_IN_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDCOST_IN_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_IN_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALCOST_IN_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTY_OUT_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDCOST_OUT_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_OUT_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALCOST_OUT_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTY_BAL_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDCOST_BAL_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTDIFF_BAL_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALCOST_BAL_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACCOUNTTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCALRANGEID BIGINT DEFAULT 0 NOT NULL,
FCALDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FREADTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FMOVETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSYNC CHAR(1) DEFAULT ' ' NOT NULL,
FCOVERFLAG CHAR(1) DEFAULT ' ' NOT NULL
);