﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_constraint.sql **/
 EXEC P_ALTERPK 'PK_CAL_PROGRESS', 'T_CAL_PROGRESS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_PROGRE_TASK') CREATE INDEX IDX_CAL_PROGRE_TASK ON T_CAL_PROGRESS ( FTASKID );


 EXEC P_ALTERPK 'PK_CAL_PROGRESSENTRY', 'T_CAL_PROGRESSENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_PROGREEN_FID') CREATE INDEX IDX_CAL_PROGREEN_FID ON T_CAL_PROGRESSENTRY ( FID );


 EXEC P_ALTERPK 'PK_CAL_STEP', 'T_CAL_STEP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_STEP_NUM') CREATE INDEX IDX_CAL_STEP_NUM ON T_CAL_STEP ( FNUMBER );


 EXEC P_ALTERPK 'PK_CAL_TASK', 'T_CAL_TASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_TASK_TASK') CREATE INDEX IDX_CAL_TASK_TASK ON T_CAL_TASK ( FTASKID );


 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_OUTCALET_MATID') CREATE INDEX IDX_CAL_OUTCALET_MATID ON T_CAL_OUTCALENTRY ( FMATERIALID ,FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_OUTCALET_WHID') CREATE INDEX IDX_CAL_OUTCALET_WHID ON T_CAL_OUTCALENTRY ( FWAREHOUSEID ,FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CALRECORD_BIZET') CREATE INDEX IDX_CAL_CALRECORD_BIZET ON T_CAL_CALCOSTRECORD ( FBIZENTITYOBJECTID );

EXEC p_DropIdx 'IDX_CAL_COSTRECORDE_MAT', 'T_CAL_CALCOSTRECORDENTRY';
EXEC p_DropIdx 'IDX_CAL_COSTRECORDE_CALRID', 'T_CAL_CALCOSTRECORDENTRY';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_COSTRECORDE_MAT') CREATE INDEX IDX_CAL_COSTRECORDE_MAT ON T_CAL_CALCOSTRECORDENTRY ( FMATERIALID ,FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_COSTRECORDE_CALRID') CREATE INDEX IDX_CAL_COSTRECORDE_CALRID ON T_CAL_CALCOSTRECORDENTRY ( FCALRANGEID ,FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CALRECORDET_WH') CREATE INDEX IDX_CAL_CALRECORDET_WH ON T_CAL_CALCOSTRECORDENTRY ( FWAREHOUSEID ,FID );

EXEC p_DropIdx 'IDX_CAL_BALANCE_CMP', 'T_CAL_BALANCE';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BALANCE_CMP') CREATE INDEX IDX_CAL_BALANCE_CMP ON T_CAL_BALANCE ( FCOSTACCOUNTID ,FMATERIALID ,FPERIODID ,FSTORAGEORGUNITID ,FWAREHOUSEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_BALANCE_WH') CREATE INDEX IDX_CAL_BALANCE_WH ON T_CAL_BALANCE ( FWAREHOUSEID );

 EXEC P_ALTERPK 'PK_CAL_STEP_L', 'T_CAL_STEP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_STEP_L_ID') CREATE INDEX IDX_CAL_STEP_L_ID ON T_CAL_STEP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CAL_CALBILLRULE_L', 'T_CAL_CALBILLRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CALBILLRULE_L') CREATE INDEX IDX_CAL_CALBILLRULE_L ON T_CAL_CALBILLRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_CAL_SERVICELOG_L', 'T_CAL_SERVICELOG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_SERVICELOG_L') CREATE INDEX IDX_CAL_SERVICELOG_L ON T_CAL_SERVICELOG_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAL_constraint.sql **/
